BZERO(P)

NAME
bzero - memory operations (LEGACY)

SYNOPSIS

#include <strings.h>

void bzero(void *s, size_t n);

DESCRIPTION

The bzero() function shall place n zero-valued bytes in the area pointed to by s.

RETURN VALUE

The bzero() function shall not return a value.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The memset() function is preferred over this function.

For maximum portability, it is recommended to replace the function call to bzero() as follows:

    #define bzero(b,len) (memset((b), '\0', (len)), (void) 0)

RATIONALE

None.

FUTURE DIRECTIONS

This function may be withdrawn in a future version.

SEE ALSO

memset() , the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .